net.dontdrinkandroot.visualization.item

## Interface VisualItem

All Known Implementing Classes:
  AbstractColoredItem, AbstractVisualItem, AligningFontItem, AligningToCenterFontItem, ColoredEdgeItem, DefaultEdgeItem, FontItem, GlyphedFontItem, GlyphedOutlineFontItem, GlyphedOutlineFontItem2, ImageItem, LabeledCircleItem, OvalItem, RectItem, TypedOvalItem, TypeItem

    public interface VisualItem

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`Rectangle2D` `getBounds()`
`Point2D` `getPosition()`
`void` `setPosition(double x, double y)`
`void` `setPosition(Point2D p)`

### Method Detail

#### getBounds

    Rectangle2D getBounds()

#### draw

    void draw(Graphics2D g2d)

#### setPosition

    void setPosition(double x,
                   double y)

#### setPosition

    void setPosition(Point2D p)

#### getPosition

    Point2D getPosition()